<?php

namespace Bixo\Opportunity\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class PreferanceTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_opportunity_preferances')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.opportunity.preferance.view',
                'name'      => 'View Preferance',
            ],
            [
                'slug'      => 'bixo.opportunity.preferance.create',
                'name'      => 'Create Preferance',
            ],
            [
                'slug'      => 'bixo.opportunity.preferance.edit',
                'name'      => 'Update Preferance',
            ],
            [
                'slug'      => 'bixo.opportunity.preferance.delete',
                'name'      => 'Delete Preferance',
            ],
            
                        [
                'slug'      => 'bixo.opportunity.preferance.verify',
                'name'      => 'Verify Preferance',
            ],
            [
                'slug'      => 'bixo.opportunity.preferance.approve',
                'name'      => 'Approve Preferance',
            ],
            [
                'slug'      => 'bixo.opportunity.preferance.publish',
                'name'      => 'Publish Preferance',
            ],
            [
                'slug'      => 'bixo.opportunity.preferance.unpublish',
                'name'      => 'Unpublish Preferance',
            ],
            [
                'slug'      => 'bixo.opportunity.preferance.cancel',
                'name'      => 'Cancel Preferance',
            ],
            [
                'slug'      => 'bixo.opportunity.preferance.archive',
                'name'      => 'Archive Preferance',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/opportunity/preferance',
                'name'        => 'Preferance',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/opportunity/preferance',
                'name'        => 'Preferance',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'preferance',
                'name'        => 'Preferance',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Opportunity',
                'module'    => 'Preferance',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.opportunity.preferance.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
