<?php

namespace Bixo\Opportunity;

use Bixo\Opportunity\Actions\OpportunityActions;
use Bixo\Opportunity\Actions\OfferActions;
use Bixo\Opportunity\Actions\PreferanceActions;
use Bixo\Opportunity\Actions\ViewingActions;


class Opportunity
{
    /**
     * Return select options opportunity for the module.
     *
     * @param string $module
     * @param array $request
     *
     * @return array
     */
    public function options($module = 'opportunity', $request = []) :array
    {
        if ($module == 'opportunity') {
            return OpportunityActions::run('options', $request);
        }

    }
}
